<?php

namespace Modules\Notification\Interfaces;

use Illuminate\Http\Request;
use Modules\Notification\Models\Notification;

interface NotificationRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Notification $country);
    public function save(Request $request, ?Notification $country): void;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
